Subject: How to best consolidate list of skbs (msdu) for receive?

From: Ben Greear <[email-masked]>
Date: Thu, 27 Feb 2014 10:36:30 -0800

In ath10k, it can receive msdu (in rx raw mode, at least).  These show up
as a list of skb.  Currently they are just dropped as un-handled, and I
need to fix this.

I think I need to consolidate this list into a single skb in order to pass
it up the stack.

What is the preferred way to go about doing this?

It seems I could just expand the head skb (pskb_expand_head) and copy the data from the others
onto the end of the head skb, but maybe there is a more efficient way to go about
doing this?

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com